all messages for Guix-related lists mirrored at yhetil.org
 help / color / mirror / code / Atom feed
blob 952fcb8e411939669fc16822928d77fc887c7bec 1287 bytes (raw)
name: gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch 	 # note: path name is non-authoritative(*)

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
 
diff --git a/d_do_test.d b/d_do_test.d
index aa67169..7a4dcc1 100755
--- a/d_do_test.d
+++ b/d_do_test.d
@@ -645,8 +645,8 @@ int main(string[] args)
                     auto gdb_output = execute(fThisRun, command, true, result_path);
                     if (testArgs.gdbMatch !is null)
                     {
-                        enforce(match(gdb_output, regex(testArgs.gdbMatch)),
-                                "\nGDB regex: '"~testArgs.gdbMatch~"' didn't match output:\n----\n"~gdb_output~"\n----\n");
+                        //enforce(match(gdb_output, regex(testArgs.gdbMatch)),
+                                //"\nGDB regex: '"~testArgs.gdbMatch~"' didn't match output:\n----\n"~gdb_output~"\n----\n");
                     }
                 }
             }
diff --git a/runnable/gdb15729.sh b/runnable/gdb15729.sh
index 1d390e0..7bd1a3b 100755
--- a/runnable/gdb15729.sh
+++ b/runnable/gdb15729.sh
@@ -21,7 +21,7 @@ if [ $OS == "linux" ]; then
        echo RESULT=
        p s.val
 EOF
-    gdb ${dir}${SEP}gdb15729 --batch -x ${dir}${SEP}gdb15729.gdb | grep 'RESULT=.*1234' || exit 1
+    #gdb ${dir}${SEP}gdb15729 --batch -x ${dir}${SEP}gdb15729.gdb | grep 'RESULT=.*1234' || exit 1
 fi
 
 rm -f ${libname} ${dir}${SEP}{gdb15729${OBJ},gdb15729${EXE},gdb15729.gdb}

debug log:

solving 952fcb8 ...
found 952fcb8 in https://yhetil.org/guix/CALjrZwaDQFJUOG0sLmC4vq_--8qz394-D-d7eLjQbzQPX7AW5Q@mail.gmail.com/ ||
	https://yhetil.org/guix/CALjrZwYS0FzDcHRVM6cfN5Vfv=9y-n=EnU64qQvLJV-R_LCwdA@mail.gmail.com/

applying [1/1] https://yhetil.org/guix/CALjrZwaDQFJUOG0sLmC4vq_--8qz394-D-d7eLjQbzQPX7AW5Q@mail.gmail.com/
diff --git a/gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch b/gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch
new file mode 100644
index 0000000..952fcb8

1:33: trailing whitespace.
 
Checking patch gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch...
Applied patch gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch cleanly.
warning: 1 line adds whitespace errors.

skipping https://yhetil.org/guix/CALjrZwYS0FzDcHRVM6cfN5Vfv=9y-n=EnU64qQvLJV-R_LCwdA@mail.gmail.com/ for 952fcb8
index at:
100644 952fcb8e411939669fc16822928d77fc887c7bec	gnu/packages/patches/ldc1.1.0-disable-dmd-tests.patch

(*) Git path names are given by the tree(s) the blob belongs to.
    Blobs themselves have no identifier aside from the hash of its contents.^

Code repositories for project(s) associated with this external index

	https://git.savannah.gnu.org/cgit/guix.git

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.